---
title: Manage tables
description: Tables in InfluxDB 3 Cloud are synonymous with measurements and contain time series data. Each table has a defined schema with tag and field columns.
url: https://docs.influxdata.com/influxdb3/cloud/admin/tables/
estimated_tokens: 546
product: InfluxDB 3 Cloud
version: cloud
publisher: InfluxData
canonical: https://docs.influxdata.com/influxdb3/cloud/admin/tables/
date: '2026-07-15T18:00:41-05:00'
lastmod: '2026-07-15T18:00:41-05:00'
---

Tables are synonymous with measurements in InfluxDB 3 Cloud.
They are typically created automatically when you write line protocol data,
but you can also manually create them to define custom schemas or apply settings.
before writing data.

### [Create a table](/influxdb3/cloud/admin/tables/create/)

Use the influxdb3 CLI or HTTP API to create a table in a specified database in InfluxDB 3 Cloud.

```sh
# influxdb3 CLI
influxdb3 create table \
  --tags tag1,tag2,tag3 \
  --retention-period 7d \
  --database DATABASE_NAME \
  --token AUTH_TOKEN \
  TABLE_NAME

# HTTP API
curl --request POST "https://instance-id.enterprise.influxdb.io/api/v3/configure/table" \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer AUTH_TOKEN" \
  --data '{
    "db": "DATABASE_NAME",
    "table": "TABLE_NAME",
    "tags": ["tag1", "tag2", "tag3"],
    "retention_period": "7d"
  }'
```

### [List tables](/influxdb3/cloud/admin/tables/list/)

Use the influxdb3 CLI or HTTP API to list tables in a specified database in InfluxDB 3 Cloud. Use SQL SHOW TABLES or InfluxQL SHOW MEASUREMENTS statements.

```sh
# influxdb3 CLI
influxdb3 query \
  --database DATABASE_NAME \
  --token AUTH_TOKEN \
  "SHOW TABLES"

# HTTP API
curl --get "https://instance-id.enterprise.influxdb.io/api/v3/query_sql" \
  --header "Authorization: Bearer AUTH_TOKEN" \
  --data-urlencode "db=DATABASE_NAME" \
  --data-urlencode "q=SHOW TABLES"
```

### [Delete a table](/influxdb3/cloud/admin/tables/delete/)

Use the [`influxdb3 delete table` command](/influxdb3/cloud/reference/cli/influxdb3/delete/table/) or the [HTTP API](/influxdb3/cloud/api/v3/) to delete a table from a specified database in InfluxDB 3 Cloud. Supports both soft delete and hard delete operations.

```sh
# CLI
influxdb3 delete table \
  --database DATABASE_NAME \
  --token AUTH_TOKEN \
  TABLE_NAME

# HTTP API
curl -X DELETE "https://instance-id.enterprise.influxdb.io/api/v3/configure/table?db=DATABASE_NAME&table=TABLE_NAME" \
  --header "Authorization: Bearer AUTH_TOKEN"
```

#### Related

* [influxdb3 CLI](/influxdb3/cloud/reference/cli/influxdb3/)
* [Table API reference](/influxdb3/cloud/api/v3/#tag/Table)
